#ifndef CORE_MESSAGEQ_H
#define CORE_MESSAGEQ_H


#include "msgcore/message.h"

typedef struct MessageQueue {
	int size;
	Message **data;
} MessageQueue;


MessageQueue *msgqMake(void);
void msgqCompact(MessageQueue *mq);
void msgqAdd(MessageQueue *mq, Message *msg);
void msgqDelete(MessageQueue *mq, Message *msg);


#endif //CORE_MESSAGEQ_H
